Description

Adam Brin would like his search results to show links out to his content from DataONE search results.  We can do this with EML (see

"Online Distribution Info"), so we'd need to develop a stylesheet for DCX (tDAR's metadata) such that search results display the

desired link to tDAR content.  See attached for a mock-up. 

Here are some tDAR DCX identifiers:

doi:10.6067:XCV848701_meta

doi:10.6067:XCV848702_meta

doi:10.6067:XCV848525_meta

doi:10.6067:XCV848630_meta

Note they're behind a firewall.  

History

#1 - 2016-05-19 15:58 - Dave Vieglais

- Assignee changed from Dave Vieglais to Ben Leinfelder

Reassigning to Ben.

#2 - 2016-05-19 16:42 - Dave Vieglais

- File onedcx.xsl added

- File serve.py added

- File test2.xml added

- File test1.xml added

Attaching initial draft and two example source files.

Rendering was tested using python script executing xsltproc, also attached.

#3 - 2016-05-19 18:06 - Ben Leinfelder

- % Done changed from 0 to 30

- Status changed from New to In Progress

Which field in the DCX document contains the desired link?

I see:

http://alpha.tdar.org/document/48701/mugs-of-the-mesa-and-old-chocolate-evidence-of-prehistoric-cacao-use-in-the-mesa-verde-region-of-the-north-

american-southwest-contributed-poster

 

and:
as possible hrefs, but neither seem particularly well-defined as "External data link" fields.

#4 - 2016-05-19 19:35 - Ben Leinfelder

I've added an initial version of the DCX xslt to Metacat. I want to mention that the normal way people link to other data is by using OREs and the UI

would render this like all other packages that contain data. Maybe this is a special case where we have decided it is okay to link out to

externally-housed data? News to me!

#5 - 2016-05-20 22:55 - Ben Leinfelder

Please take a look at current version of the DCX view here:

https://search-sandbox-2.test.dataone.org/#view/tdar.1.1

#6 - 2016-05-23 17:48 - Ben Leinfelder

I've added handling for temporal periods as well as single datetimes.

I've also added the recent changes to the Metacat 2.7 branch for upcoming release.

#7 - 2016-05-23 18:30 - Ben Leinfelder

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

Added an example  version with temporal date range: https://search-sandbox-2.test.dataone.org/#view/tdar.1.3

Files

tDAR link to content mock-up.png 87.7 KB 2016-03-23 Laura Moyers

onedcx.xsl 8.17 KB 2016-05-19 Dave Vieglais

test1.xml 1.73 KB 2016-05-19 Dave Vieglais

test2.xml 3.37 KB 2016-05-19 Dave Vieglais

serve.py 998 Bytes 2016-05-19 Dave Vieglais
